Wrong padding for gtkCalender (Unity7, Xenial)

Bug #1537794 reported by Khurshid Alam on 2016-01-25
16
This bug affects 5 people
Affects Status Importance Assigned to Milestone
ubuntu-mate-artwork (Ubuntu)
Undecided
Martin Wimpress
Xenial
Undecided
Unassigned
ubuntu-themes (Ubuntu)
Medium
Adolfo Jayme
Xenial
Undecided
Unassigned

Bug Description

After recent update, gtkCalender using 0px padding on top-bottom which makes it looks ugly. A mere 1px padding could solve the issue.

See the screenshot for comparison: http://i.imgur.com/rFciw8h.png

Patch (for Ambiance):

Index: ubuntu-themes-14.04+16.04.20160120/Ambiance/gtk-3.0/gtk-widgets.css
===================================================================
--- ubuntu-themes-14.04+16.04.20160120.orig/Ambiance/gtk-3.0/gtk-widgets.css
+++ ubuntu-themes-14.04+16.04.20160120/Ambiance/gtk-3.0/gtk-widgets.css
@@ -806,7 +806,7 @@ GtkComboBox .menu .menuitem *:insensitiv
     border-radius: 0;
     border-style: solid;
     border-width: 0;
- padding: 0;
+ padding: 1px;

     color: @dark_fg_color;
 }

Related branches

Adolfo Jayme (fitojb) on 2016-02-06
Changed in ubuntu-themes (Ubuntu):
status: New → In Progress
importance: Undecided → Medium
assignee: nobody → Adolfo Jayme (fitojb)
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubuntu-themes - 14.04+16.04.20160415-0ubuntu1

---------------
ubuntu-themes (14.04+16.04.20160415-0ubuntu1) xenial; urgency=medium

  [ Adolfo Jayme Barrientos ]
  * Add 1px padding to calendar widget elements; looks better. Thanks,
    Khurshid Alam. (LP: #1537794)

  [ Matthieu James ]
  * Suru icon theme: normalization of arrows used in mono icons, plus
    minor additions or updates to existing designs. (LP: #1518934)

  [ Will Cooke ]
  * Adds these fixes for Calendar: (LP: #1551744, #1558659)

 -- Sebastien Bacher <email address hidden> Fri, 15 Apr 2016 19:49:25 +0000

Changed in ubuntu-themes (Ubuntu):
status: In Progress → Fix Released

Hello Khurshid, or anyone else affected,

Accepted ubuntu-mate-artwork into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/ubuntu-mate-artwork/16.04.6.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

tags: added: verification-needed
Adolfo Jayme (fitojb) on 2016-04-30
tags: added: verification-done
removed: verification-needed
Changed in ubuntu-mate-artwork (Ubuntu):
status: New → Fix Committed
assignee: nobody → Martin Wimpress (flexiondotorg)
Martin Pitt (pitti) on 2016-05-12
Changed in ubuntu-mate-artwork (Ubuntu Xenial):
status: New → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubuntu-mate-artwork - 16.04.6.1

---------------
ubuntu-mate-artwork (16.04.6.1) xenial; urgency=medium

  [ Adolfo Jayme Barrientos ]
  * Add 1px padding to calendar widget elements; looks better. Thanks,
    Khurshid Alam. (LP: #1537794)

  [ Will Cooke ]
  * Adds these fixes for Calendar: (LP: #1551744, #1558659)

  [ Martin Wimpress ]
  * Merged fixes from ubuntu-themes.
  * Closes (LP: #1572120)

 -- Martin Wimpress <email address hidden> Tue, 19 Apr 2016 13:26:03 +0100

Changed in ubuntu-mate-artwork (Ubuntu Xenial):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for ubuntu-mate-artwork has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubuntu-mate-artwork - 16.04.6.1

---------------
ubuntu-mate-artwork (16.04.6.1) xenial; urgency=medium

  [ Adolfo Jayme Barrientos ]
  * Add 1px padding to calendar widget elements; looks better. Thanks,
    Khurshid Alam. (LP: #1537794)

  [ Will Cooke ]
  * Adds these fixes for Calendar: (LP: #1551744, #1558659)

  [ Martin Wimpress ]
  * Merged fixes from ubuntu-themes.
  * Closes (LP: #1572120)

 -- Martin Wimpress <email address hidden> Tue, 19 Apr 2016 13:26:03 +0100

Changed in ubuntu-mate-artwork (Ubuntu):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers